/// <reference types="webpack" />
import { PluginItem } from '@babel/core';
import { MockConfig } from './middleware/mock';
import { ProxyConfigMap, ProxyConfigArray } from 'webpack-dev-server';
interface RcbConfig {
    host?: string;
    port?: number;
    proxy?: ProxyConfigMap | ProxyConfigArray;
    mock?: MockConfig;
    babelPresets?: PluginItem[] | null;
    babelPlugins?: PluginItem[] | null;
    alias?: {
        [key: string]: string;
    };
}
export declare function getRcbConfig(): RcbConfig;
export default function getExtraConfig(): {
    webpack: import("webpack").Configuration;
    babel: {};
    rcb: RcbConfig;
};
export {};
