declare var _default: {
    extends: string[];
    parser: string;
    parserOptions: {
        ecmaVersion: number;
        sourceType: string;
        ecmaFeatures: {
            jsx: boolean;
            impliedStrict: boolean;
        };
    };
    settings: {
        react: {
            version: string;
        };
    };
    plugins: string[];
    env: {
        browser: boolean;
        node: boolean;
        commonjs: boolean;
        es6: boolean;
        jest: boolean;
    };
    rules: {
        'react/no-find-dom-node': string;
        eqeqeq: string;
        'block-scoped-var': string;
        'comma-dangle': string;
        'no-eval': string;
        'no-console': string;
        'no-debugger': string;
        'no-undef': string;
        'no-unused-vars': string;
        'operator-linebreak': string[];
        'object-curly-newline': string;
        'padded-blocks': string;
        'jsx-quotes': string[];
        'no-lonely-if': string;
        'array-callback-return': string;
        'valid-jsdoc': (string | {
            requireReturn: boolean;
        })[];
    };
};
export default _default;
